- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# AnimationPath File Reference

`#include <map>`
`#include <istream>`
`#include <float.h>`
`#include <osg/Matrixf>`
`#include <osg/Matrixd>`
`#include <osg/Quat>`
`#include <osg/NodeCallback>`

Include dependency graph for AnimationPath:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | osg
## Classes
class | osg::AnimationPath
| AnimationPath encapsulates a time varying transformation pathway. More...
struct | osg::AnimationPath::ControlPoint
class | osg::AnimationPathCallback
## Defines
#define | OSG_ANIMATIONPATH 1

## Define Documentation

#define OSG_ANIMATIONPATH 1